"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseAutorunExecutorOptions = exports.parseAutorunExecutorOnlyOptions = void 0;
const config_1 = require("../internal/config");
function parseAutorunExecutorOnlyOptions(options) {
    const { projectPrefix, dryRun, onlyPlugins } = options;
    return {
        ...(projectPrefix && { projectPrefix }),
        ...(dryRun != null && { dryRun }),
        ...(onlyPlugins && { onlyPlugins }),
    };
}
exports.parseAutorunExecutorOnlyOptions = parseAutorunExecutorOnlyOptions;
function parseAutorunExecutorOptions(options, normalizedContext) {
    const { projectPrefix, persist, upload } = options;
    return {
        ...parseAutorunExecutorOnlyOptions(options),
        ...(0, config_1.globalConfig)(options, normalizedContext),
        persist: (0, config_1.persistConfig)({ projectPrefix, ...persist }, normalizedContext),
        upload: (0, config_1.uploadConfig)({ projectPrefix, ...upload }, normalizedContext),
    };
}
exports.parseAutorunExecutorOptions = parseAutorunExecutorOptions;
//# sourceMappingURL=utils.js.map