"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizedCreateNodesContext = void 0;
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
const constants_1 = require("./constants");
async function normalizedCreateNodesContext(context, projectConfigurationFile, createOptions = {}) {
    const projectRoot = (0, node_path_1.dirname)(projectConfigurationFile);
    try {
        const projectJson = JSON.parse((await (0, promises_1.readFile)(projectConfigurationFile)).toString());
        const { targetName = constants_1.CP_TARGET_NAME } = createOptions;
        return {
            ...context,
            projectJson,
            projectRoot,
            createOptions: {
                ...createOptions,
                targetName,
            },
        };
    }
    catch {
        throw new Error(`Error parsing project.json file ${projectConfigurationFile}.`);
    }
}
exports.normalizedCreateNodesContext = normalizedCreateNodesContext;
//# sourceMappingURL=utils.js.map